# -*- coding: utf-8 -*-
#: include  List.kv


<Documenter>:
    name: "Documenter"

    BoxLayout:
        orientation: "vertical"
        #size_hint: 1, None
        spacing: 5
        padding: 10,10,10,10
        canvas.before:
            Color:
                rgba: 0.1,0,0.6,0
            Rectangle:
                size: self.size
                pos: self.pos


        BoxLayout:
            id: form
            size_hint_y: .3
            pos_hint: {"center_x":.5}

            canvas.before:
                Color:
                    rgba: 1,0,0,0
                Rectangle:
                    size: self.size
                    pos: self.pos

                Color:
                    rgba: .5,.5,.5,1
                Line:
                    width: 1.5
                    points: self.x-10, self.y-10, self.x+self.width+10, self.y-10

            spacing: 10
            padding:[40,3]
            Label:
                id: empty
                size_hint_x: None
                width: 40
            BoxLayout:
                size_hint: None, None
                width: 200
                pos_hint: {"center_y":.5}
                height: 70
                spacing:5

                GridLayout:
                    cols: 5
                    size_hint_x: None
                    width: 100

                    CheckBox:
                        id: doc_sex_w_val
                        color: 0.5,0.5,1,3
                        group: "sex"

                    Label_f:
                        id: doc_sex_w
                        text:strs.female
                        font_size: 17
                        color: 0,0,0,1

                    CheckBox:
                        id: doc_sex_m_val
                        color: 0.5,0.5,1,3
                        group: "sex"
                        active: True

                    Label_f:
                        id: doc_sex_m
                        text:strs.male
                        font_size: 17
                        color: 0,0,0,1

                Label_f:
                    id: doc_sex
                    text:strs.sex
                    pos_hint: {"center_y":.5}
                    font_size: 18
                    color: 0,0,0,1


            BoxLayout:
                size_hint: None, None
                width: 200
                pos_hint: {"center_y":.5}
                height: 70

                Fa_text:
                    id: doc_group_text
                    text: ""
                    size_hint:(None,None)
                    max_chars: 10
                    height: 35
                    font_size: 18
                    width: 100
                    pos_hint: {"center_y":0.5}
                    write_tab: False

                Label_f:
                    id: doc_group
                    size_hint_x: None
                    width: 60
                    pos_hint: {"center_y":0.5}
                    text:strs.group
                    font_size: 18
                    color: 0,0,0,1


            BoxLayout:
                size_hint: None, None
                width: 250
                pos_hint:{"center_y":.5}
                height:70

                spacing: 5

                BoxLayout:
                    size_hint: None, None
                    size: (145,35)
                    pos_hint:{'center_y':0.5}
                    spacing: 5
                    canvas.before:
                        Color:
                            rgba: 0,1,0,0
                        Rectangle:
                            size: self.size
                            pos: self.pos
                    Num_Text:
                        id: doc_age_year
                        max_chars: 4
                        width: 50

                    Dbtn:
                        id: doc_age_month
                        width: 50
                        text: "April"
                    Dbtn:
                        id: doc_age_day
                        width: 40
                        text: strs.rooz

                Label_f:
                    id: doc_age
                    size_hint_x: None
                    width: "100"
                    pos_hint:{'center_y':.5}
                    text:strs.birthdate
                    font_size: 20
                    color: 0,0,0,1



            BoxLayout:
                size_hint_x: None
                width: 300
                canvas.before:
                    Color:
                        rgba: 1,0,1,0
                    Rectangle:
                        size: self.size
                        pos: self.pos
                spacing: 5

                Fa_text:
                    id: doc_family_text
                    text: ""
                    size_hint:(None,None)
                    height: 35
                    font_size: 18
                    width: 200
                    pos_hint: {"center_y":0.5}
                    write_tab: False

                Label_f:
                    id: doc_family
                    size_hint: None, None
                    size: self.texture_size
                    #width: 200
                    text:strs.name_family
                    font_size: 18
                    color: 0,0,0,1
                    pos_hint: {"center_y":0.5}



        BoxLayout:
            id: commands
            size_hint: None, None
            width: 900
            height: 100
            pos_hint: {"center_x":.5}
            canvas.before:
                Color:
                    rgba: 1,1,0,0
                Rectangle:
                    size: self.size
                    pos: self.pos

            spacing: 14

            #Label:
            #    size_hint_x: None
            #    width: 80

            Cbtn:
                tip: strs.remove_hint
                size_hint: None, None
                size: 64, 64
                pos_hint: {'center_y': 0.5}
                background_normal: "data/icons/del.png"
                on_release: root.remove()



            Cbtn:
                tip: strs.add_hint
                size_hint: None, None
                size: 64, 64
                pos_hint: {'center_y': 0.5}
                on_press: root.adding()
                background_normal: "data/icons/add.png"


            Label:
                size_hint_x: None
                width: 600 + 64

            Cbtn:
                tip: strs.next_hint
                size_hint: None, None
                size: 64, 64
                pos_hint: {'center_y': 0.5}
                background_normal: "data/icons/next.png"
                on_release: root.start_matches()



            #Label:







        BoxLayout:

            orientation: "vertical"
            id: doc_list_view_container
            size_hint: None, None
            pos_hint:{"center_x":.5}
            width: 900
            height: 500



            BoxLayout:
                size_hint: (1,None)
                height: "30dp"

                TButton_f:
                    id: doc_list_crtd_date
                    text: "created date"
                    font_size: 18
                    size_hint_x: .3
                    group: "list"
                    state: 'down'
                    on_release: root.sorter('crt_date', self.state)
                    color: (0,0,0,1) if self.state=='down' else (1,1,1,1)
                TButton_f:
                    id: doc_list_group
                    text: "Group"
                    font_size: 18
                    size_hint_x: .2
                    group: "list"
                    on_release: root.sorter('group', self.state)
                    color: (0,0,0,1) if self.state=='down' else (1,1,1,1)
                TButton_f:
                    id: doc_list_sex
                    text: "Sex"
                    font_size: 18
                    size_hint_x: .1
                    group: "list"
                    on_release: root.sorter('sex', self.state)
                    color: (0,0,0,1) if self.state=='down' else (1,1,1,1)
                TButton_f:
                    id: doc_list_age
                    text: "age"
                    font_size: 18
                    size_hint_x: .2
                    group: "list"
                    on_release: root.sorter('age', self.state)
                    color: (0,0,0,1) if self.state=='down' else (1,1,1,1)
                TButton_f:
                    id: doc_list_name
                    text: "Name Family"
                    font_size: 18
                    size_hint_x: .2
                    group: "list"
                    on_release: root.sorter('name', self.state)
                    color: (0,0,0,1) if self.state=='down' else (1,1,1,1)

            BoxLayout:
                canvas.before:
                    Color:
                        rgba: 0.9,0.9,0.9,1
                    Rectangle:
                        size: self.size
                        pos: self.pos
                ListView:
                    size_hint: (1.0, 1.0)
                    id: Listing

        Label:
            id: empty


